Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se
Solucionado (ver solução)
Solucionado
(ver solução)
2
respostas

class file has wrong version 55.0, should be 52.0

Estou fazendo o curso de viewBinding e tomei o seguinte erro:

class file has wrong version 55.0, should be 52.0
    Please remove or make sure it appears in the correct subdirectory of the classpath.

Ele nâo consegue encontrar a classe na hora que eu coloco o type dentro da variable no xml por causa desse erro. Nâo sei o que fazer.

2 respostas

Oi Agatha, tudo bem ?

Consegue mostrar pra gente como está o arquivo xml e também como está seu arquivo build.gradle ?

solução!

Estou bem, obrigada pela força mas já resolvi. Era a versão do java do Android studio que eu estava usando. Fui ler a documentação do viewbindind com mais calma e estava pedindo para utilizar a versão mais atual do Android Studio e a minha já estava bem desatualizada kk.

Atualizei a versão e deu tudo certo!

Quer mergulhar em tecnologia e aprendizagem?

Receba a newsletter que o nosso CEO escreve pessoalmente, com insights do mercado de trabalho, ciência e desenvolvimento de software